# TechAge Quick Start Guide

The Techage Modpack is an extensive collection of technical mods with many machines and systems, which unfortunately cannot be set up intuitively. Therefore, there is this Quick Start Guide and further manuals for the different mods.


Techage represents four technological ages:

- Iron Age (TA1) - Simple tools like coal pile, coal burner, gravel sieve, hammer for getting ores and making goods
- Steam Age (TA2) - Simple machines that are powered by steam engines and drive axles
- Oil Age (TA3) - More modern machines that are powered by electricity
- Future Age (TA4) - Electricity from renewable energy sources such as sun and wind

Since the levels build on each other, all ages have to be run through one after the other.



## Manuals

- [Techage](https://github.com/joe7575/techage/wiki) and ingame via TA Construction Plan

- [Minecart](https://github.com/joe7575/minecart/blob/master/README.md) and ingame via player inventory help (the blue questionmark)
- [Hyperloop](https://github.com/joe7575/Minetest-Hyperloop/wiki)
- [Signs Bot](https://github.com/joe7575/signs_bot/blob/master/README.md) and ingame via player inventory help (the blue questionmark)



## Iron Age (TA1)

1. Search and harvest papyrus to make paper and craft the Techage Construction Board. This plan is the ingame manual for all four Techage phases
2. Cut trees and make wood out of them
3. Collect dirt for the charcoal burner to make charcoal
4. Go mining and seach for ores, or
5. Alternatively, use Hammer and Gravel Sieve to collect ore from gravel
6. Build a melting furnace and melting pot to melt iron and other ores in the melting pot
7. Use the Minecart Hopper to automate your Gravel Sieve



## Steam Age (TA2)

1. Build a stream engine according to the TA Construction Board
2. Craft machines like TA2 Grinder, TA2 Sieve, TA2 Distributor, TA2 Pusher, TA2 Autocrafter, TA2 Electronic Fab, and TA2 Quarry
3. Connect the machines with the stream engine via drive axles (if needed)
4. Use the Quarry to collect cobblestone or go mining
5. Crushing, grinding and sieving of cobblestone is used to extract ores
6. Build a Gravel washer according to the TA Construction Board to collect further ores from sieved gravel
7. TA2 Autocrafter and TA2 Electronic Fab help to get items for the next phase



## Oil Age (TA3)

1. Build a coal-fired Power Station which can be replaced later by a oil firebox
2. Craft new machines driven by electricity
3. Search for oil (petroleum) with the TA3 Oil Explorer (don't give up to early)
4. Drilling derricks and oil pumps help them get the oil
5. Railways are used to transport oil to the power plants
6. Distillation Towers are used to separate the oil into its components
7. Pumps and Tanks are used to pump and store the oil liquids
8. TA3 Industrial Furnace and TA3 Electronic Fab help to get items for the next phase



## Future Age (TA4)

1. Build solar and wind plants to get renewable energy
2. Build a Thermal Energy Storage to store the energy
3. Build a Chemical Reactor to manufacture further items
4. Build a Hyperloop network as passenger transportation system
5. Use the Signs Bot for further automation tasks
6. Use Controller, Displays and further logic to fully automate all machines...



## Power Consumption

| TechAge Machine                | TA2 [ku] | TA3 [ku] | TA4 [ku]  |
| ------------------------------ | -------- | -------- | --------- |
| Autocrafter                    | 4        | 6        | (9)       |
| Electronic Fab                 | 8        | 12       | 12        |
| Gravel Rinser                  | 3        | 3        | -         |
| Gravel Sieve                   | 3        | 4        | 5         |
| Grinder                        | 4        | 6        | 9         |
| Liquid Sampler                 | 3        | 5        | -         |
| Quarry                         | 10       | 12       | 14        |
| TA3 Industrial Furnace Booster |          | 3        |           |
| TA4 Industrial Furnace Heater  |          |          | 14        |
| Oil Drill Box                  |          | 16       |           |
| Oil Pumpjack                   |          | 16       |           |
| TA3 Oil Reboiler               |          | 14       |           |
| TA4 Electrolyzer               |          |          | 35        |
| TA4 Fuel Cell                  |          |          | 34        |
| TA4 Reactor                    | -        | -        | 8         |
| Steam Engine                   | 25       |          |           |
| Coal Power Station             |          | 80       |           |
| TA3 Accu Box                   |          | 10       |           |
| TA3 Tiny Power Generator       |          | 12       |           |
| TA4 Energy Storage Generator   |          |          | 60        |
| TA4 Solar Inverter             |          |          | up to 100 |
| TA4 Wind Turbine               |          |          | 70        |

